#!/bin/bash
# Exports one DB schema using exp command
# This bash file expects one parameter to be the name of the DB schema.
# This bash file was made to be executed from a cron job bash file.

schemaName=$1
NOW=$(date +"%Y-%b-%d")
dumpName="/var/backups/oracle/"$schemaName"_"$NOW".dmp"
logName="/var/backups/oracle/"$schemaName"_"$NOW".log"

exp system/root FILE=$dumpName OWNER=$schemaName LOG=$logName STATISTICS=None
